%define pythonver 2.2
Summary: XML libraries for python.
Name: PyXML
Version: 0.8.3
Release: 1m
License: Apache
Group: Development/Libraries
URL: http://pyxml.sourceforge.net/
Source0: http://telia.dl.sourceforge.net/pyxml/PyXML-%{version}.tar.gz
NoSource: 0
#Patch0: PyXML-0.7-bpb.patch
Patch0: PyXML-0.7.1-intern.patch
Requires: python
BuildPreReq: python-devel
BuildPreReq: expat-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
An XML package for Python.  The distribution contains a
validating XML parser, an implementation of the SAX and DOM
programming interfaces and an interface to the Expat parser.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .intern

%build
CFLAGS="%{optflags}" python setup.py build --without-xpath --without-xslt

%install
rm -fr %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES \
    --without-xpath --without-xslt

python -O %{_libdir}/python%{pythonver}/compileall.py \
    %{buildroot}%{_libdir}/python%{pythonver}/site-packages

# expat support is broken in 0.7.1 and 0.8.0 - removing for now
find %{buildroot}%{_libdir}/python%{pythonver} -name "*pyo" \
    | sed "s|%{buildroot}||" \
    >> INSTALLED_FILES
grep -v /usr/doc INSTALLED_FILES \
    | grep -v LC_MESSAGES \
    > installed_files

%clean
rm -rf %{buildroot}

%files -f installed_files 
%defattr(-,root,root)
%doc LICENCE ANNOUNCE CREDITS README README.dom README.pyexpat README.sgmlop TODO doc/*
%lang(de) %{_libdir}/python%{pythonver}/site-packages/*/dom/de/LC_MESSAGES/4Suite.mo
%lang(fr_FR) %{_libdir}/python%{pythonver}/site-packages/*/dom/fr_FR/LC_MESSAGES/4Suite.mo
%lang(en_US) %{_libdir}/python%{pythonver}/site-packages/*/dom/en_US/LC_MESSAGES/4Suite.mo

%changelog
* Mon Mar 22 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.3-1m)
- import from Fedora Core 1

* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.7.0-4m)
- accept python not only 2.2 but 2.2.*

* Sat Oct 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- change License: to Apache
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (0.7.0-2k)
- sourceforge no ahou.

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.7.0-2k)
- version up.

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (0.6.5-4k)
- add BuildRequires,Requires Tag

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (0.6.5-2k)
- rewind (TT) PyXML 0.6.6 doesn't match for printconf, still....

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.6.6-2k)
- up to 0.6.6
- use %{pythonver} for future.

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (0.6.5-4k)
- rebuild against gettext 0.10.40.

* Fri Sep 14 2001 Toru Hoshina <t@kondara.org>
- (0.6.5-2k)
- merge from rawhide.

* Tue Jul 24 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add python-devel to BuildRequires (#49820)

* Tue Jul 10 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Mark the locale-specific files as such

* Thu Jun  7 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Don't obsolete itself

* Mon May  7 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Initial build, it's no longer part of 4Suite


